"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const chalk_1 = __importDefault(require("chalk"));
const _1 = __importDefault(require("."));
const pkg = require('../package.json');
let projectName;
commander_1.program
    .version(pkg.version)
    .arguments('<project-directory>')
    .usage(`${chalk_1.default.green('<project-directory>')} [options]`)
    .action((name) => {
    projectName = name;
})
    .allowUnknownOption()
    .parse(process.argv);
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            yield (0, _1.default)(projectName);
        }
        catch (err) {
            console.log(chalk_1.default.redBright('Failed to create your project!'));
            console.log(err.message);
            process.exit(1);
            return;
        }
    });
}
run();
//# sourceMappingURL=cli.js.map