"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const execa_1 = __importDefault(require("execa"));
const chalk_1 = __importDefault(require("chalk"));
const read_pkg_up_1 = __importDefault(require("read-pkg-up"));
const messages = __importStar(require("./messages"));
const get_install_cmd_1 = __importDefault(require("./get-install-cmd"));
function createWebScriptsLibrary(projectName) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!projectName) {
            throw new Error(messages.missingProjectName());
        }
        if (fs_extra_1.default.existsSync(projectName) && projectName !== '.') {
            throw new Error(messages.alreadyExists(projectName));
        }
        const { packageJson: cwslPkg } = read_pkg_up_1.default.sync({
            cwd: __dirname,
        }) || {};
        const projectPath = path_1.default.resolve(process.cwd(), projectName);
        const templatePath = path_1.default.resolve(__dirname, '..', 'template');
        console.log(chalk_1.default.gray('Copying template...'));
        yield fs_extra_1.default.copy(templatePath, projectPath);
        console.log(chalk_1.default.gray('Writing over necessary files...'));
        process.chdir(projectPath);
        const newPkgPath = path_1.default.join(projectPath, 'package.json');
        const newPkg = require(newPkgPath);
        newPkg.name = projectName;
        newPkg.devDependencies['@spotify/web-scripts'] =
            ((cwslPkg === null || cwslPkg === void 0 ? void 0 : cwslPkg.devDependencies) || {})['@spotify/web-scripts'] ||
                newPkg.devDependencies['@spotify/web-scripts'];
        yield fs_extra_1.default.writeFile(newPkgPath, JSON.stringify(newPkg, null, 2));
        console.log(chalk_1.default.gray('Installing dependencies...'));
        process.chdir(projectPath);
        yield (0, execa_1.default)((0, get_install_cmd_1.default)(), ['install']);
        console.log(messages.start(projectName));
    });
}
exports.default = createWebScriptsLibrary;
//# sourceMappingURL=index.js.map