"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.start = exports.alreadyExists = exports.missingProjectName = void 0;
const commander_1 = require("commander");
const chalk_1 = __importDefault(require("chalk"));
const missingProjectName = () => `
Please specify the project directory:
  ${chalk_1.default.cyan(commander_1.program.name())} ${chalk_1.default.green('<project-directory>')}

For example:
  ${chalk_1.default.cyan(commander_1.program.name())} ${chalk_1.default.green('my-library-name')}
Run ${chalk_1.default.cyan(`${commander_1.program.name()} --help`)} to see all options.
`;
exports.missingProjectName = missingProjectName;
const alreadyExists = (projectName) => `
It looks like there's already a directory called "${chalk_1.default.cyan(projectName)}". Please try a different name or delete that folder.`;
exports.alreadyExists = alreadyExists;
const start = (projectName) => `
Your project is now set up in "${chalk_1.default.cyan(projectName)}"! Try running

  ${chalk_1.default.green('yarn lint')}
  ${chalk_1.default.green('yarn test')}
  ${chalk_1.default.green('yarn build')}

to see the web-scripts in action. When you're ready to publish your package, use ${chalk_1.default.green('yarn commit')} and ${chalk_1.default.green('yarn release')} to use commitizen and semantic-release.`;
exports.start = start;
//# sourceMappingURL=messages.js.map